% Num. Math. - FS 2014 - Serie 3 Uebung 1 - Numeric differentiation


% % Example 1
%f=@(x) 1./(1+cos(x).^2);
%df_ex=@(x) 2*cos(x).*sin(x).*f(x).^2;

% Example 2
f=@(x) sin(x)./x;
df_ex=@(x) cos(x)./x-sin(x)./(x.^2);

format long
x0=pi/4;
k=[-1:-1:-14]';
h=10.^k ;
df_approx= (f(x0+h)-f(x0-h))./(2*h)
df_exact=df_ex(x0)
rel_err=[k abs(df_approx-df_exact)./abs(df_exact)]

